Bug 1651213 - libisds-0.10.8-2.fc29 FTBFS: simline/certificate_user_password_authentication test fails with gnutls-3.6.4
Summary: libisds-0.10.8-2.fc29 FTBFS: simline/certificate_user_password_authentication...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libisds
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1675283 (view as bug list)
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-11-19 12:55 UTC by Petr Pisar
Modified: 2019-05-03 03:41 UTC (History)
2 users (show)

Fixed In Version: libisds-0.10.8-4.fc31 libisds-0.10.8-4.fc30 libisds-0.10.8-3.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-03 00:58:31 UTC


Attachments (Terms of Use)

Description Petr Pisar 2018-11-19 12:55:58 UTC
simline/certificate_user_password_authentication test fails:

Testing unit: authentication with client certificate and username and password
	no client certificate: failed
		reason: Wrong return code: expected=Security problem, returned=Network problem (https://[::1]:47841/DS/dz: Failure when receiving data from the peer)
	wrong client certificate: failed
		reason: Wrong return code: expected=Security problem, returned=Network problem (https://[::1]:47841/certds/DS/dz: Failure when receiving data from the peer)
	invalid username: passed
	valid login: passed
	log into out-of-order server: passed
Test results: unit = authentication with client certificate and username and password, passed = 3, failed = 2

This is triggered by upgrading gnutls from 3.6.3-4 to 3.6.4-1. Log shows:

$ ./certificate_user_password_authentication
Testing unit: authentication with client certificate and username and password
Disabling server identity verification. That was your decision.
Connection accepted
TLS handshake failed: No certificate was found.
        no client certificate: failed
                reason: Wrong return code: expected=Security problem, returned=Network problem (https://[::1]:45363/DS/dz: Failure when receiving data from the peer)

This is probably the same issue as <https://gitlab.com/gnutls/gnutls/issues/615> (TLSv1.3 GnutTLS responding to a handshake from a client that does not expect post-handshake authentication results in return value == CURLE_RECV_ERROR in the client).

Comment 1 Petr Pisar 2019-02-12 10:54:43 UTC
*** Bug 1675283 has been marked as a duplicate of this bug. ***

Comment 2 Fedora Update System 2019-04-24 11:33:38 UTC
libisds-0.10.8-4.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1d3d7c39db

Comment 3 Fedora Update System 2019-04-24 11:34:57 UTC
libisds-0.10.8-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cf3fc788f5

Comment 4 Fedora Update System 2019-04-24 20:28:03 UTC
libisds-0.10.8-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1d3d7c39db

Comment 5 Fedora Update System 2019-04-25 02:25:51 UTC
libisds-0.10.8-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cf3fc788f5

Comment 6 Fedora Update System 2019-05-03 00:58:31 UTC
libisds-0.10.8-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-05-03 03:41:51 UTC
libisds-0.10.8-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.